- Aldebaran documentation |
- C++ Libraries |
- index

libqipackage 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::PackageInfo2 Struct Reference

A dynamic struct for managing packages information. More...

`#include <package_info.hpp>`

## Public Member Functions
std::map< std::string, qi::AnyValue > | contents () const
std::map< std::string, qi::AnyValue > & | contents ()
std::vector< qi::BehaviorInfo > | behaviors () const
std::vector< qi::BehaviorInfo > & | behaviors ()
std::vector< qi::DialogInfo > | dialogs () const
std::vector< qi::DialogInfo > & | dialogs ()
std::vector< qi::LanguageInfo > | languages () const
std::vector< qi::LanguageInfo > & | languages ()
qi::WebInfo | web () const
qi::WebInfo & | web ()

## Public Attributes
std::string | uuid
| Unique ID to identify the package. More...
std::string | version
| Version of the package. More...
std::string | author
| Author of the package. More...
std::string | channel
| Channel. More...
std::string | organization
| Organization. More...
std::string | date
| Data of the package. More...
std::string | typeVersion
| Type version. More...
std::string | installer
| Source of the package. More...
bool | installOnlyAtStartup
| Install only at Startup. More...
std::string | path
| Path to the files. Should not be used. More...
std::map< std::string, qi::AnyValue > | elems

## Detailed Description

A dynamic struct for managing packages information.

Definition at line 35 of file package_info.hpp.

## Member Function Documentation

std::vector<qi::BehaviorInfo> qi::PackageInfo2::behaviors | ( |  | ) | const

std::vector<qi::BehaviorInfo>& qi::PackageInfo2::behaviors | ( |  | ) |

std::map<std::string, qi::AnyValue> qi::PackageInfo2::contents | ( |  | ) | const

std::map<std::string, qi::AnyValue>& qi::PackageInfo2::contents | ( |  | ) |

std::vector<qi::DialogInfo> qi::PackageInfo2::dialogs | ( |  | ) | const

std::vector<qi::DialogInfo>& qi::PackageInfo2::dialogs | ( |  | ) |

std::vector<qi::LanguageInfo> qi::PackageInfo2::languages | ( |  | ) | const

std::vector<qi::LanguageInfo>& qi::PackageInfo2::languages | ( |  | ) |

qi::WebInfo qi::PackageInfo2::web | ( |  | ) | const

qi::WebInfo& qi::PackageInfo2::web | ( |  | ) |

## Member Data Documentation

std::string qi::PackageInfo2::author

Author of the package.

Definition at line 39 of file package_info.hpp.

std::string qi::PackageInfo2::channel

Channel.

Definition at line 40 of file package_info.hpp.

std::string qi::PackageInfo2::date

Data of the package.

Definition at line 42 of file package_info.hpp.

std::map<std::string, qi::AnyValue> qi::PackageInfo2::elems

It is a map which can have those elements:

- names: the value is a std::map<std::string, std::string> of <Languages / Translated Name>.
- descriptions: the value is a std::map<std::string, std::string> of <Languages / Translated Description>.
- services: the value is a std::vector of qi::PackageService
- executableFiles: the value is a std::vector or std::string which are paths.
- requirements: the value is a std::pair<std::vector<qi::RobotRequirement>, std::vector<qi::NaoqiRequirement>>
- supportedLanguages: the value is a std::vector of std::string, which are a supported languages.
- contents: the value is a std::map<std::string, qi::AnyValue> std::string can be:
  - behaviors: the value is a std::vector of qi::BehaviorInfo
  - dialogs: the value is a std::vector of qi::DialogInfo
  - languages: the value is a std::vector of qi::LanguageInfo
  - web: the value is a qi::WebInfo

Definition at line 62 of file package_info.hpp.

std::string qi::PackageInfo2::installer

Source of the package.

Definition at line 44 of file package_info.hpp.

bool qi::PackageInfo2::installOnlyAtStartup

Install only at Startup.

Definition at line 45 of file package_info.hpp.

std::string qi::PackageInfo2::organization

Organization.

Definition at line 41 of file package_info.hpp.

std::string qi::PackageInfo2::path

Path to the files. Should not be used.

Definition at line 46 of file package_info.hpp.

std::string qi::PackageInfo2::typeVersion

Type version.

Definition at line 43 of file package_info.hpp.

std::string qi::PackageInfo2::uuid

Unique ID to identify the package.

Definition at line 37 of file package_info.hpp.

std::string qi::PackageInfo2::version

Version of the package.

Definition at line 38 of file package_info.hpp.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqipackage/qipackage/package_info.hpp